문서로 건너뛰기
API

지식 항목 가져오기

항목 하나와 그 텍스트.

GET/knowledge/{id}

워크스페이스에 실제 호출을 실행합니다.

GET /knowledge/{id}

항목 하나와 그 텍스트.

예시

knowledge:read가 필요합니다. body는 메모의 텍스트입니다. preview는 파일이나 페이지에서 읽은 처음 20,000자로, 읽기 전에는 null이며, previewTruncated는 텍스트가 더 이어지는지 알려 줍니다.

curl
curl "$OE/knowledge/kb_8c1f4a2b9d7e3f60a5c7b21d" -H "$AUTH"
응답
{  "object": "knowledge_item",  "id": "kb_8c1f4a2b9d7e3f60a5c7b21d",  "kind": "note",  "scope": "@acme.com",  "level": "domain",  "title": "Refunds",  "url": null,  "fileName": null,  "mimeType": null,  "sizeBytes": null,  "pinned": true,  "status": "ready",  "failure": null,  "chunks": 1,  "chars": 71,  "origin": "api",  "createdBy": "usr_5f2a9c71",  "createdAt": "2026-10-08T09:12:44.000Z",  "updatedAt": "2026-10-08T09:12:44.000Z",  "indexedAt": "2026-10-08T09:12:45.000Z",  "body": "Refunds are paid within 14 days of the return reaching our warehouse.",  "preview": "Refunds are paid within 14 days of the return reaching our warehouse.",  "previewTruncated": false}

알 수 없는 ID와 키가 볼 수 없는 수준의 항목은 404 knowledge_not_found로 응답합니다.

레퍼런스